#include <bits/stdc++.h>
using namespace std;

int main(){
    string s;
    cin >> s;
    int n = s.length();
    int q;
    cin >> q;
    int d[(n - 1)];
    for (int i = 0; i < (n - 1); i++){
        if (s[i] > s[(i + 1)]) d[i] = 1;
        else d[i] = 0;
    }
    for (int p = 0; p < q; p++){
        int l, r;
        cin >> l >> r;
        l--; r--;
        int ans = 1;
        for (int i = l; i < r; i++){
            ans += d[i];
        }
        cout << ans << endl;
    }
}
